/*
 *				Twidere - Twitter client for Android
 * 
 * Copyright (C) 2012 Mariotaku Lee <mariotaku.lee@gmail.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package org.mariotaku.twidere.loader;

import java.util.List;

import org.mariotaku.twidere.model.ParcelableActivity;

import twitter4j.Activity;
import twitter4j.Paging;
import twitter4j.Twitter;
import twitter4j.TwitterException;
import android.content.Context;

public class ActivitiesByFriendsLoader extends Twitter4JActivitiesLoader {

	public ActivitiesByFriendsLoader(final Context context, final long account_id, final List<ParcelableActivity> data,
			final String[] save_file_args, final int tab_position) {
		super(context, account_id, data, save_file_args, tab_position);
	}

	@Override
	protected List<Activity> getActivities(final Twitter twitter, final Paging paging) throws TwitterException {
		if (twitter == null) return null;
		return twitter.getActivitiesByFriends(paging);
	}

}
